### Hierarchy

- NamedNodeMap

### Indexable

[index: number]: Attr

## Index

### Properties

- length

### Methods

- getNamedItem
- getNamedItemNS
- item
- removeNamedItem
- removeNamedItemNS
- setNamedItem
- setNamedItemNS

## Properties

### length

length: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10275

## Methods

### getNamedItem

- getNamedItem(qualifiedName: string): Attr | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10276

  #### Parameters

  - ##### qualifiedName: string

  #### Returns Attr | null

### getNamedItemNS

- getNamedItemNS(namespace: string | null, localName: string): Attr | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10277

  #### Parameters

  - ##### namespace: string | null

  - ##### localName: string

  #### Returns Attr | null

### item

- item(index: number): Attr | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10278

  #### Parameters

  - ##### index: number

  #### Returns Attr | null

### removeNamedItem

- removeNamedItem(qualifiedName: string): Attr

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10279

  #### Parameters

  - ##### qualifiedName: string

  #### Returns Attr

### removeNamedItemNS

- removeNamedItemNS(namespace: string | null, localName: string): Attr

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10280

  #### Parameters

  - ##### namespace: string | null

  - ##### localName: string

  #### Returns Attr

### setNamedItem

- setNamedItem(attr: Attr): Attr | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10281

  #### Parameters

  - ##### attr: Attr

  #### Returns Attr | null

### setNamedItemNS

- setNamedItemNS(attr: Attr): Attr | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10282

  #### Parameters

  - ##### attr: Attr

  #### Returns Attr | null

Generated using TypeDoc